# etcd proxy setup
#

- name: ensure etcd is setup
  include_tasks: install.yml

- name: add proxy service file
  template:
    src: proxy.service
    dest: /etc/systemd/system/{{proxy_name}}-proxy.service

- name: enable and run {{proxy_name}}-proxy
  systemd:
    name: "{{proxy_name}}-proxy"
    enabled: yes
    state: restarted
    daemon_reload: yes

